commit e9e2025e7b8e166334bff7e6646509f4fd3f5337
Author: freddy77 <freddy77>
Date:   Wed Jul 7 13:57:02 2010 +0000

    update script to build tests even for ctlib

diff --git a/ChangeLog b/ChangeLog
index 75db591..a841c6f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Jul  7 15:56:44 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests src/ctlib/unittests/datafmt.c:
+	- update script to build tests even for ctlib
+
 Wed Jul  7 15:39:20 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/check_symbols.txt: add missing symbols
 
@@ -2653,4 +2657,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3065 2010/07/07 13:39:36 freddy77 Exp $
+$Id: ChangeLog,v 1.3066 2010/07/07 13:57:02 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
index 1d13d16..2d9a8e9 100755
--- a/misc/sybase_tests
+++ b/misc/sybase_tests
@@ -1,7 +1,7 @@
 #!/bin/bash
 
-# $Id: sybase_tests,v 1.4 2009/04/23 09:41:08 freddy77 Exp $
-# these commands build dblib tests using Sybase dblib
+# $Id: sybase_tests,v 1.5 2010/07/07 13:57:02 freddy77 Exp $
+# these commands build dblib and ctlib tests using Sybase libraries
 
 errore() {
 	echo $* >&2
@@ -25,22 +25,26 @@ fi
 # build
 trap 'echo Error at line $LINENO' ERR
 set -e
-make -j4
-TESTS_ENVIRONMENT=true make -j4 check
+make
 
 # rebuild tests
-cd src/dblib/unittests
-if test ! -r Makefile.no_sybase -o Makefile -nt Makefile.no_sybase; then
-	rm -f Makefile.no_sybase
-	echo '#include <sybfront.h>' > sqlfront.h
-	echo '#include <sybdb.h>' > sqldb.h
-	perl -pi.no_sybase -e "\$_ =~ s{ -I\\\$\\(top_(build|src)dir\\)/include}{ -I$SYBASE/$OCSDIR/include -I\\\$(top_builddir)/include} if (/^(DEFAULT_INCLUDES|AM_CPPFLAGS)\s*=/);
+for dir in src/ctlib/unittests src/ctlib/unittests; do
+	cd $dir
+	if test ! -r Makefile.no_sybase -o Makefile -nt Makefile.no_sybase; then
+		rm -f Makefile.no_sybase
+		echo '#include <sybfront.h>' > sqlfront.h
+		echo '#include <sybdb.h>' > sqldb.h
+		perl -pi.no_sybase -e "\$_ =~ s{ -I\\\$\\(top_(build|src)dir\\)/include}{ -I$SYBASE/$OCSDIR/include -I\\\$(top_builddir)/include} if (/^(DEFAULT_INCLUDES|AM_CPPFLAGS)\s*=/);
 \$_ =~ s{../libsybdb.la}{-lsybdb -lsybunic} if (/^LIBS\s*=/);
+\$_ =~ s{../libct.la}{-lsybct -lsybcs -lsybblk} if (/^LIBS\s*=/);
 \$_ =~ s{-L../.libs -R \\\$\\(abs_builddir\\)/../.libs}{-L$SYBASE/$OCSDIR/lib} if (/^AM_LDFLAGS\s*=/);
 " Makefile
-	touch Makefile.no_sybase
-	rm -f *.o *.exe
+		touch Makefile.no_sybase
+		rm -f *.o *.exe
+		make clean
+	fi
 	make clean
-fi
-TESTS_ENVIRONMENT=true make -j4 check 
+	TESTS_ENVIRONMENT=true make check
+	cd ../../..
+done
 
diff --git a/src/ctlib/unittests/datafmt.c b/src/ctlib/unittests/datafmt.c
index 473cf1b..c613b07 100644
--- a/src/ctlib/unittests/datafmt.c
+++ b/src/ctlib/unittests/datafmt.c
@@ -11,7 +11,7 @@
 #include <ctpublic.h>
 #include "common.h"
 
-static char software_version[] = "$Id: datafmt.c,v 1.3 2008/07/15 09:53:00 freddy77 Exp $";
+static char software_version[] = "$Id: datafmt.c,v 1.4 2010/07/07 13:57:02 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* Testing: data truncation behavior of ct_fetch */
@@ -116,7 +116,7 @@ main(int argc, char *argv[])
 
 			while ((ret = ct_fetch(cmd, CS_UNUSED, CS_UNUSED, CS_UNUSED, &count)) != CS_END_DATA) {
 
-				fprintf(stderr, "ct_fetch() row %d returned %s.\n", row_count, cs_prretcode(ret));
+				fprintf(stderr, "ct_fetch() row %d returned %d.\n", row_count, (int) ret);
 				addr[copied] = '\0';
 				fprintf(stderr, "copied %d bytes: [%s]\n", copied, addr);
 				row_count += count;

